Package org.jboss.resteasy.jsapi

## Class MethodMetaData

- java.lang.Object
- - org.jboss.resteasy.jsapi.MethodMetaData

-     public class MethodMetaData
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MethodMetaData​(ServiceRegistry serviceRegistry, ResourceMethodInvoker invoker)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `appendURIFragments​(String... fragments)` |
    `static String` | `appendURIFragments​(ServiceRegistry registry, String classPath, String methodPath)` |
    `String` | `getConsumesMIMEType()` |
    `String` | `getFunctionName()` |
    `String` | `getFunctionPrefix()` |
    `Collection<String>` | `getHttpMethods()` |
    `ResourceMethodInvoker` | `getInvoker()` |
    `Class<?>` | `getKlass()` |
    `Method` | `getMethod()` |
    `List<MethodParamMetaData>` | `getParameters()` |
    `static ResourceLocator` | `getResourceLocator​(ResourceInvoker invoker)` |
    `String` | `getUri()` |
    `String` | `getWants()` |
    `protected void` | `processMetaData​(Class<?> type, Annotation[] annotations, boolean useBody)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodMetaData

          public MethodMetaData​(ServiceRegistry serviceRegistry,
                                ResourceMethodInvoker invoker)
                         throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### getResourceLocator

          public static ResourceLocator getResourceLocator​(ResourceInvoker invoker)
                                                    throws Exception

      Throws:
        `Exception`

    - #### processMetaData

          protected void processMetaData​(Class<?> type,
                                         Annotation[] annotations,
                                         boolean useBody)

    - #### appendURIFragments

          public static String appendURIFragments​(ServiceRegistry registry,
                                                  String classPath,
                                                  String methodPath)

    - #### appendURIFragments

          public static String appendURIFragments​(String... fragments)

    - #### getInvoker

          public ResourceMethodInvoker getInvoker()

    - #### getMethod

          public Method getMethod()

    - #### getKlass

          public Class<?> getKlass()

    - #### getWants

          public String getWants()

    - #### getConsumesMIMEType

          public String getConsumesMIMEType()

    - #### getUri

          public String getUri()

    - #### getFunctionName

          public String getFunctionName()

    - #### getParameters

          public List<MethodParamMetaData> getParameters()

    - #### getHttpMethods

          public Collection<String> getHttpMethods()

    - #### getFunctionPrefix

          public String getFunctionPrefix()